Subject: bug#22157: html renderer shr - Links open twice in external browser

From: martin rudalics <[email-masked]>
Date: Fri, 10 Jun 2016 15:58:42 +0200

> I didn't know this bug had also been connected with commit 72166f.  I
 > just tried to reproduce it on my master branch, which still has the
 > commit (I have not yet updated since Martin reverted it), and here are
 > my results (the indented lines are quotes from the OP):
 >
 >     When viewing an HTML email using shr, when I left-click on a link, Gnus
 >     starts 2 browsers and directs each to the URL for the link.

One for the down and one for the up event, I suppose.

 > I still see this on master with commit 72166f (in my case it's two tabs
 > on one browser instance).
 >
 >     When viewing a plaintext email that contains a URL, when I left-click
 >     on the URL, Gnus starts a browser for that URL okay, but I also get a
 >     message like
 >
 >       Buffer is read-only: #<buffer *Article gnu.emacs.gnus*>

The typical attempt to yank text in that buffer.  IIRC this was my major
concern (in *info* buffers) but I didn't find the corresponding thread
any more :-(

 > I do not see this on master with commit 72166f, but I do see it without
 > that commit.
 >
 >     In both cases (HTML, plaintext) middle-clicking on the link/URL works
 >     okay.
 >
 > For me too on master with commit 72166f.

IIRC all these bugs were only triggered by mouse-1 events.

 > In short, the now reverted commit does not completely fix this bug for
 > me.  And since it introduced bug#23571, which for me is more annoying
 > than bug#22157, I would prefer it not to be simply recomitted; hopefully
 > a better fix can be found.

Do we know whether mouse-1 ever worked correctly?

martin